package intrinsic.mx.core;

public class WindowedApplication extends intrinsic.mx.core.Application implements intrinsic.mx.core.IWindow {

	/** Accessors */
	public intrinsic.flash.system.Shell shell;
	public String appId;
	public intrinsic.mx.core.EdgeMetrics viewMetrics;
	public intrinsic.Class titleIcon;
	public String systemChrome;
	public intrinsic.mx.core.IFactory statusBarFactory;
	public boolean transparent;
	public intrinsic.mx.core.IFactory titleBarFactory;
	public boolean minimizable;
	public boolean autoExit;
	public String status;
	public boolean showStatusBar;
	public boolean resizable;
	public intrinsic.flash.display.NativeWindow nativeWindow;
	public String type;
	public double minWidth;
	public boolean maximizable;
	public double maxWidth;
	public Object titleBar;
	public boolean showTitleBar;
	public double minHeight;
	public boolean visible;
	public String title;
	public boolean alwaysInFront;
	public boolean showGripper;
	public double maxHeight;
	public boolean closed;
	public intrinsic.flash.display.NativeMenu menu;

	/** Variables */
	public int scriptRecursionLimit;
	public boolean resetHistory;
	public boolean historyManagementEnabled;
	public intrinsic.mx.core.IUIComponent controlBar;
	public double frameRate;
	public Object preloader;
	public double scriptTimeLimit;
	public boolean usePreloader;
	public String pageTitle;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public WindowedApplication() {
}


/** Static Methods */

/** Methods */
public native void close();
public native double getStatusBarHeight();
public native void styleChanged(String arg0);
public native void minimize();
public native void restore();
public native void maximize();
public native void validateDisplayList();
public native void exit();
public native void activate();
public native void move(double arg0, double arg1);

}
